Bug 1268789 - sqlite-jdbc: failed test on big endian arches
sqlite-jdbc: failed test on big endian arches
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sqlite-jdbc (Show other bugs)
22
ppc64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PPCTracker
  Show dependency treegraph
 
Reported: 2015-10-05 05:03 EDT by Rafael Fonseca
Modified: 2015-10-13 13:02 EDT (History)
2 users (show)

See Also:
Fixed In Version: 3.8.11.2-2 sqlite-jdbc-3.8.11.2-2.fc23 sqlite-jdbc-3.8.11.2-2.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-12 20:05:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rafael Fonseca 2015-10-05 05:03:38 EDT
Description of problem: one test fails on big endian arches:

Running org.sqlite.SQLiteDataSourceTest
Tests run: 2, Failures: 1, Errors: 0, Skipped: 0, Time elapsed: 0.013 sec <<< FAILURE! - in org.sqlite.SQLiteDataSourceTest
encoding(org.sqlite.SQLiteDataSourceTest)  Time elapsed: 0.01 sec  <<< FAILURE!
org.junit.ComparisonFailure: expected:<UTF-16[l]e> but was:<UTF-16[b]e>
	at org.junit.Assert.assertEquals(Assert.java:115)
	at org.junit.Assert.assertEquals(Assert.java:144)
	at org.sqlite.SQLiteDataSourceTest.encoding(SQLiteDataSourceTest.java:80)
Running org.sqlite.SQLiteConnectionPoolDataSourceTest
Tests run: 1, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 0.022 sec - in org.sqlite.SQLiteConnectionPoolDataSourceTest
Running org.sqlite.QueryTest
Tests run: 6, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 0.007 sec - in org.sqlite.QueryTest
Running org.sqlite.ResultSetTest
Tests run: 13, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 0.012 sec - in org.sqlite.ResultSetTest
Running org.sqlite.RSMetaDataTest
Tests run: 8, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 0.012 sec - in org.sqlite.RSMetaDataTest
Running org.sqlite.PrepStmtTest
Tests run: 28, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 0.081 sec - in org.sqlite.PrepStmtTest
Running org.sqlite.UDFTest
Tests run: 16, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 0.302 sec - in org.sqlite.UDFTest
Running org.sqlite.ExtendedCommandTest
Tests run: 2, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 0 sec - in org.sqlite.ExtendedCommandTest
Results :
Failed tests: 
  SQLiteDataSourceTest.encoding:80 expected:<UTF-16[l]e> but was:<UTF-16[b]e>
Tests run: 180, Failures: 1, Errors: 0, Skipped: 1


Version-Release number of selected component (if applicable): 3.8.11.2-1


How reproducible: ppc-koji build sqlite-jdbc


Additional info: also happens in f22 and f23.
Comment 1 gil cattaneo 2015-10-05 11:18:55 EDT
(In reply to Rafael Fonseca from comment #0)

> How reproducible: ppc-koji build sqlite-jdbc
please , try to build with the latest changes

> Additional info: also happens in f22 and f23.
soon should be available also for these branches
Comment 2 Fedora Update System 2015-10-05 11:38:43 EDT
sqlite-jdbc-3.8.11.2-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-25782ecee2
Comment 3 Rafael Fonseca 2015-10-05 11:42:30 EDT
(In reply to gil cattaneo from comment #1)
> (In reply to Rafael Fonseca from comment #0)
> 
> > How reproducible: ppc-koji build sqlite-jdbc
> please , try to build with the latest changes

scratch build tells me it works.

http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=2784508


> > Additional info: also happens in f22 and f23.
> soon should be available also for these branches

Perfect. Thank you.
Comment 4 Fedora Update System 2015-10-05 11:59:33 EDT
sqlite-jdbc-3.8.11.2-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-2b3dd9a567
Comment 5 Fedora Update System 2015-10-05 21:07:52 EDT
sqlite-jdbc-3.8.11.2-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update sqlite-jdbc'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-2b3dd9a567
Comment 6 Fedora Update System 2015-10-06 00:21:49 EDT
sqlite-jdbc-3.8.11.2-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update sqlite-jdbc'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-25782ecee2
Comment 7 Fedora Update System 2015-10-12 20:05:43 EDT
sqlite-jdbc-3.8.11.2-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2015-10-13 13:02:03 EDT
sqlite-jdbc-3.8.11.2-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.